Subject: IANA allocation status code assignment conflict resolution

From: Himanshu Shah <[email-masked]>
Date: Wed, 11 Nov 2009 07:55:37 -0800

Dear WG members,

There has been a mix-up of the LDP status code assignment between
L2VPN signaling  and arp-mediation draft. This has been resolved
between the authors after some investigative work and has been
determined that ARP-Mediation draft can use the 0x2c LDP status code.
We intend to request IANA for early allocation of this status code and rectify the
the current allocation (it shows assignment to l2vpn-signaling).

We would like to request the WG to review this matter and express any
opinion/concern on the mailing list.

Thanks,
himanshu and co-authors of ARP-Mediation draft.

Following is the detail:

Text from arp-mediation draft:  (draft-ietf-l2vpn-arp-mediation-12.txt)
-------------------------------------------------------------
7.1. LDP Status messages

     This document uses new LDP status codes, IANA already maintains
     a registry of name "STATUS CODE NAME SPACE" defined by [RFC
     5036]. The following values are suggested for assignment:

        0x0000002C "IP Address of CE"

Text from the L2VPN-signaling draft:  (draft-ietf-l2vpn-signaling-08.txt)

--------------------------------------------------------------

This document assumes the assignment of an AFI and a SAFI for L2VPN

   NLRI.  Both AFI and SAFI should be the same as the values assigned

   for [I-D.ietf-l2vpn-vpls-bgp<http://tools.ietf.org/html/draft-ietf-l2vpn-signaling-08#ref-I-D.ietf-l2vpn-vpls-bgp>].  That is, the AFI should be 25 (L2VPN)

   and the SAFI should be 65 (already allocated for VPLS).  The same AFI

   and SAFI are used for both VPLS and VPWS autodiscovery as described

   in this document.

   [I-D.ietf-pwe3-iana-allocation] defines registries for "Attachment

   Group Identifier (AGI) Type" and "Attachment Individual Identifier

   (AII) Type".  Type 1 in each registry has been assigned to the AGI

   and AII formats defined in this document.

   This document requires two new LDP status codes.  IANA already

   maintains a registry of name "STATUS CODE NAME SPACE" defined by

   [RFC3036<http://tools.ietf.org/html/rfc3036>].  The following values are suggested for assignment:

   0x0000002C "Attachment Circuit bound to different PE"